VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
VisimBox.Renderer.ViewQuality Class Reference

Viewport settings - type of view which shall be used to render viewport (wireframe/surfaces, no lightning etc...) More...

List of all members.

## Public Attributes
bool | WireFrame = false
| Show only wireframe?
bool | Colored = true
bool | ShowOutlines = false
| Show outlines of the objects (edges)
ShadingType | Shading = ShadingType.PerVertex
| summary> Type of texturing.
TexturingType | Texturing = TexturingType.Advanced
MaterialQuality | Materials = MaterialQuality.Advanced
| summary> Shadows quality for dynamicaly cast shadows. Valid values are from 0-1. NOTE: UNUSED!!!
float | Shadows
float | Visibility
| Maximal visibility (clip all objects in the distance), if 0 - no limit. NOTE!!! no limit = 10000.

## Detailed Description

Viewport settings - type of view which shall be used to render viewport (wireframe/surfaces, no lightning etc...)

## Member Data Documentation

bool VisimBox.Renderer.ViewQuality.Colored = true

MaterialQuality VisimBox.Renderer.ViewQuality.Materials = MaterialQuality.Advanced

summary> Shadows quality for dynamicaly cast shadows. Valid values are from 0-1. NOTE: UNUSED!!!

ShadingType VisimBox.Renderer.ViewQuality.Shading = ShadingType.PerVertex

summary> Type of texturing.

float VisimBox.Renderer.ViewQuality.Shadows

bool VisimBox.Renderer.ViewQuality.ShowOutlines = false

Show outlines of the objects (edges)

summary> Type of shading to use.

TexturingType VisimBox.Renderer.ViewQuality.Texturing = TexturingType.Advanced

float VisimBox.Renderer.ViewQuality.Visibility

Maximal visibility (clip all objects in the distance), if 0 - no limit. NOTE!!! no limit = 10000.

bool VisimBox.Renderer.ViewQuality.WireFrame = false

Show only wireframe?

summary> Use colors for materials? If false, everything will be rendered with white on black background.

The documentation for this class was generated from the following file:

- ViewSettings.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events